Bug 117005 - Undo/redo is skipping the comment
Summary: Undo/redo is skipping the comment
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
5.3.0.3 release
Hardware: All All
: medium normal
Assignee: Caolán McNamara
URL:
Whiteboard: target:6.1.0 target:6.0.5
Keywords: bibisected, bisected, regression
Depends on:
Blocks:
 
Reported: 2018-04-14 08:20 UTC by Telesto
Modified: 2018-05-08 20:18 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
Bibisect log (2.91 KB, text/plain)
2018-04-14 19:30 UTC, Telesto
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Telesto 2018-04-14 08:20:02 UTC
Description:
Undo/redo is skipping the comment

Steps to Reproduce:
1. Open Calc
2. Insert a additional sheet
3. Add something to a cell (say AAA to cell A1) at sheet 2
4. Add a comment add A2 & type something into it
5. Switch to sheet 1, without closing the comment first
6. Type into A1 BBB
7. Click somewhere else in the sheet
8. Undo everything CTRL+Z

First undo: BBB
Second undo: AAA (not the comment)
Third undo: Sheet 2 (incl. comment

Redo everything: the comment is missing

Actual Results:  
Wrong undo order & comment is missing

Expected Results:
Shouldn't happen


Reproducible: Always


User Profile Reset: No



Additional Info:
Found in
Version: 6.1.0.0.alpha0+
Build ID: 84e2614a75a615d6c8584b13a69b3368d2a12a3d
CPU threads: 4; OS: Windows 6.3; UI render: default; 
TinderBox: Win-x86@42, Branch:master, Time: 2018-04-12_09:11:38
Locale: nl-NL (nl_NL); Calc: CL

and in
Version: 5.3.0.0.alpha0+
Build ID: 75239b77139434db9be5e0e7e133e3661c5404b0
CPU Threads: 4; OS Version: Windows 6.29; UI Render: default; 
Locale: nl-NL (nl_NL); Calc: CL

but not in
Version: 5.1.0.1.0+
Build ID: 5616d22b57a9a5e57d545e912e029162a230829b
Threads 4; Ver: Windows 6.29; Render: GL; 


User-Agent: Mozilla/5.0 (Windows NT 6.3; WOW64; rv:52.0) Gecko/20100101 Firefox/52.0
Comment 1 Jacques Guilleron 2018-04-14 13:13:55 UTC
Hi Telesto,

I don't reproduce with
LO  6.1.0.0.alpha0+
Build ID: f80029445e2b558f0d0e0a25c2c1bbcbe5254120
CPU threads: 2; OS: Windows 6.1; UI render: default; 
TinderBox: Win-x86@42, Branch:master, Time: 2018-04-13_23:07:11
Locale: fr-FR (fr_FR); Calc: CL
and keep the same order on undo/redo.
Comment 2 Jean-Baptiste Faure 2018-04-14 13:58:27 UTC
Reproducible for me with LO 6.0.4.0+ and current master, both built at home under Ubuntu 16.04 x86-64.
Reproducible with LO 6.0.3 from Ubuntu PPA.

Status set to NEW.

Best regards. JBF
Comment 3 Telesto 2018-04-14 19:30:44 UTC
Created attachment 141359 [details]
Bibisect log

Bisected to
author	Caolán McNamara <caolanm@redhat.com>	2016-07-04 15:31:29 +0100
committer	Caolán McNamara <caolanm@redhat.com>	2016-07-05 09:25:13 +0000
commit	2bda972c0f40a0d69749504f51e3c16d7488d011 (patch)
tree	cbe35c567ada89a3fde3706836137a743062d702
parent	da2aad871bfccd28b47d8ddf47dd6b5b1f834220 (diff)
Resolves: tdf#100761 after insert note, focus cannot return to inputbar
suspected regression from.

commit 11d605cc5a0c221d2423b6e63f502db660d085d2
Date:   Mon Feb 1 18:39:51 2016 +0200

    tdf#84843 Stop using PseudoSlots for drawing slots

https://cgit.freedesktop.org/libreoffice/core/commit/?id=2bda972c0f40a0d69749504f51e3c16d7488d011
Comment 4 Telesto 2018-04-14 19:31:30 UTC
Adding CC to Caolán McNamara
Comment 5 Commit Notification 2018-05-03 20:02:51 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=f8f65d88ede1db197c35be7b0db117c321b0d180

Resolves: tdf#117005 undo/redo skips comment when switching sheets

It will be available in 6.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Commit Notification 2018-05-08 20:18:55 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-6-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=34e5922c2dea4bb3a54c3df3822b9d843c5be277&h=libreoffice-6-0

Resolves: tdf#117005 undo/redo skips comment when switching sheets

It will be available in 6.0.5.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.